Foreman - Bug #5573

Statistics link for OS results in field 'os_description' not recognized for searching
05/05/2014 03:22 PM - Edwin Starkey

Status: Closed
Priority: Normal
Assignee: Ori Rabin
Category: Statistics
Target version: 1.7.0
Difficulty: trivial Fixed in Releases:
Triaged: Found in Releases: 1.4.3
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/1946
Description

To reproduce, view the 'All hosts' page, then enter a filter such as:

os_description="RHEL Server 6.4"

This error is displayed:

Field 'os_description' not recognized for searching!

When you view the Statistics page and click an element of the "OS Distribution" pie chart, you are directed to the 'All hosts' page with

the aforementioned filter.

This functionality used to work in a previous version. Sorry, | don't remember which one, probably 1.3.

Related issues:

Related to Foreman - Bug #8043: Statistics link to OS is wrong

Closed 10/23/2014

Associated revisions

Revision 7¢3c0594 - 11/17/2014 06:31 AM - Ori Rabin

Fixes #5573 - os search definitions for host available in unattended=false mode

Revision f2ff7dc4 - 11/24/2014 12:50 PM - Ori Rabin

Fixes #5573 - os search definitions for host available in unattended=false mode

(cherry picked from commit 7c3c0594afc76abbd6e684ef24c683d9d65e760¢€)

History

#1 - 05/06/2014 07:55 AM - Dominic Cleal

- Status changed from New to Need more information

Do you have :unattended set to true or false in /etc/foreman/settings.yaml|?

#2 - 05/06/2014 03:13 PM - Edwin Starkey

The 'unattended' setting is false.

#3 - 05/06/2014 03:20 PM - Dominic Cleal

- Subject changed from Field ‘os_description' not recognized for searching to Statistics link for OS results in field ‘os_description' not recognized for

searching

- Status changed from Need more information to New

- Difficulty set to trivial

Thanks, that's what | suspected.. seems the OS related search definitions are only in the unattended=true section of
app/models/concerns/hostext/search.rb, but probably shouldn't be.
#4 - 10/23/2014 06:18 AM - Ori Rabin
- Is duplicate of Bug #8043: Statistics link to OS is wrong added

#5 - 10/23/2014 06:21 AM - Dominic Cleal
- Is duplicate of deleted (Bug #8043: Statistics link to OS is wrong)

#6 - 10/23/2014 06:21 AM - Dominic Cleal
- Related to Bug #8043: Statistics link to OS is wrong added

#7 - 10/23/2014 06:22 AM - Dominic Cleal

It's not exactly a duplicate, but maybe we can fix it at the same time. This only happens in unattended=false mode, which exposes different OS
search options.

#8 - 11/17/2014 02:56 AM - Ori Rabin
- Status changed from New to Assigned

- Assignee set to Ori Rabin

#9 - 11/17/2014 03:39 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/1946 added
- Pull request deleted ()

#10 - 11/17/2014 06:33 AM - Dominic Cleal

- translation missing: en.field_release set to 21

#11 - 11/17/2014 07:01 AM - Ori Rabin
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 7c3c0594afc76abbd6e684ef24c683d9d65e760e.
